Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class PolicyDemoBusinessValueCalculator

    java.lang.Object
      com.ibm.able.examples.rules.PolicyDemoBusinessValueCalculator

All Implemented Interfaces:
  java.io.Serializable

public class PolicyDemoBusinessValueCalculator
extends java.lang.Object
implements java.io.Serializable

This class contains a method that is used to calculate a Business Value dynamically, based on current conditions and input. Naturally, you would need to add your own specific business logic here.

The method is referenced in PolicyDemo.arl.

See Also:
  Serialized Form

Constructor Summary
`PolicyDemoBusinessValueCalculator()`

Method Summary
`static java.lang.Double` | `calcBV(java.lang.String thePolicySection, java.lang.String thePolicyId, java.lang.Integer theNumberOfServersInvolved)` Calculates and returns a business value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyDemoBusinessValueCalculator

    public PolicyDemoBusinessValueCalculator()

Method Detail

### calcBV

    public static java.lang.Double calcBV(java.lang.String thePolicySection,
                                          java.lang.String thePolicyId,
                                          java.lang.Integer theNumberOfServersInvolved)

  Calculates and returns a business value.

  Parameters:
    `thePolicySection` - The name of the currently triggered PolicySection.
    `thePolicyId` - The ElementId of the Policy currently under evaluation and which is in the specified PolicySection.
    `theNumberOfServersInvolved` - The number of servers involved with the current consideration.
  Returns:
    The business value to use.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005